MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Member Functions

| MainWindow (QWidget *parent=0)
| Constructor.
| ~MainWindow ()
| Destructor.

## Private Slots

void | on_Filter_Box_currentIndexChanged (int index)
| Changes the ID of the filtering function chosen by the user.
void | on_actionLoad_Network_Data_triggered ()
| Loads a network flow file into the GUI.
void | on_actionAbout_triggered ()
| Displays a short about of the app.
void | on_actionExit_triggered ()
| Exits the app.
void | FillTable ()
| Refresh the GUI packet list.
void | on_runFilter_clicked ()
| Invokes a filtering funtion that filter by the field chosen by the user.
void | on_sortButton_clicked ()
| Invokes a sorting funtion that sorts by the field chosen by the user.
void | on_openFile_clicked ()
| Open a file network flow packets.
void | on_saveFile_clicked ()
| Saves the network packets as appears in the window.
void | on_clearButton_clicked ()
| Removes any applied filter to the list of packets.

## Private Attributes

int | numPackets
int | numOctects
int | filterMethod
vector< Packet > | netdata
QTableWidgetItem * | item
Ui::MainWindow * | ui

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp